View Issue Details

IDProjectCategoryView StatusLast Update
0000595Squid for OS/2Feature Requestpublic2014-02-12 15:10
ReporterOxydAssigned To 
PriorityurgentSeveritytweakReproducibilityalways
Status newResolutionopen 
Platformx86OSOS/2OS VersionACP2 v 4.52
Summary0000595: Latest squid does not support SSL
DescriptionSquid version 3.3.11 does not support https proxying because it maked with "--disable-ssl"(without --enable-ssl) option. And, of course, i have error if "https_port" tag enabled in squid.conf
TagsNo tags attached.

Activities

psmedley

2014-02-11 05:41

administrator   ~0002671

build with enable-ssl is at http://smedley.id.au/tmp/squid-3.3.11-os2-20140211.zip

Oxyd

2014-02-12 15:10

reporter   ~0002673

Hmm. It seems that in this version, as in the release, the CONNECT method does not work. Squid with default squid.conf must work with https via CONNECT method.
Also I tested this version with quasselIRC, which works fine with my old installation SQUID (2.x) And refuses to work with this version.
If you fix this bug, make please with very interesting ssl-bump function(-–enable-ssl-crtd) Ex: http://www.mydlp.com/how-to-configure-squid-3-2-ssl-bumping-dynamic-ssl-certificate-generation/

Issue History

Date Modified Username Field Change
2014-02-10 12:18 Oxyd New Issue
2014-02-11 05:41 psmedley Note Added: 0002671
2014-02-12 15:10 Oxyd Note Added: 0002673